<%@ Page Language="C#" AutoEventWireup="true" CodeFile="logon.aspx.cs" Inherits="login"
    Theme="Default" %>
<%@ Register Src="~/CMSAdminControls/UI/Help.ascx" TagName="Help" TagPrefix="cms" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server" enableviewstate="false">
    <title>CMS Login</title>
    <base target="_self" />
    <style type="text/css">
        body
        {
            margin: 0px;
            padding: 0px;
            height: 100%;
        }
    </style>
</head>
<body class="LogonPageBody">

    <script type="text/javascript" language="javascript">
    <!--
        if ((top.frames["cmsheader"] != null) || (top.frames["propheader"] != null))
        {           
            top.window.location.replace(top.window.location.href.replace(/\/\(\w\([^\)]+\)\)/g, ''));                     
        }
    -->        
    </script>

    <div class="loginBox">
        <form id="form1" runat="server">
            <asp:Panel ID="pnlBody" runat="server" CssClass="LogonPageBackground">
                <asp:Login ID="Login1" runat="server" DestinationPageUrl="~/Default.aspx">
                    <LayoutTemplate>
                        <%-- <asp:Label ID="lblLogonTitle" runat="server" CssClass="LogonTitle" Text="Please log on" />--%>
                        <table style="width: 360px;">
                            <tr>
                                <td colspan="2" class="LogonTitle">
                                    Please log on</td>
                            </tr>
                            <tr>
                                <td style="width: 100px;">
                                    <cms:LocalizedLabel ID="lblUserName" runat="server" AssociatedControlID="UserName" />
                                </td>
                                <td style="width: 260px;">
                                    <asp:TextBox ID="UserName" runat="server" MaxLength="100" CssClass="LogonTextBox" />
                                    <asp:RequiredFieldValidator ID="rfvUserNameRequired" runat="server" ControlToValidate="UserName"
                                        ErrorMessage="User Name is required." ToolTip="User Name is required." ValidationGroup="Login1">*</asp:RequiredFieldValidator>
                                </td>
                            </tr>
                            <tr>
                                <td style="width: 100px;">
                                    <cms:LocalizedLabel ID="lblPassword" runat="server" AssociatedControlID="Password" />
                                </td>
                                <td>
                                    <asp:TextBox ID="Password" runat="server" TextMode="Password" MaxLength="100" CssClass="LogonTextBox"  />
                                </td>
                            </tr>
                            <tr>
                                <td>
                                </td>
                                <td>
                                    <cms:LocalizedCheckBox ID="chkRememberMe" runat="server" />
                                </td>
                            </tr>
                            <tr>
                                <td colspan="2" align="center" style="color: Red;">
                                    <cms:LocalizedLabel ID="FailureText" runat="server" EnableViewState="False" />
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <asp:LinkButton ID="lnkLanguage" runat="server" Visible="false" Style="color: black;
                                        float: left; padding-top: 4px;" />
                                </td>
                                <td>
                                    <cms:LocalizedButton ID="LoginButton" runat="server" CommandName="Login" ValidationGroup="Login1"
                                        CssClass="LogonButton" />
                                </td>
                            </tr>
                        </table>
                        <div id="pnlLanguage" runat="server" class="LogonDialog" style="display: none;">
                            <cms:LocalizedLabel ID="lblCulture" runat="server" Text="{$LogonForm.Culture$}" AssociatedControlID="drpCulture" />
                            <asp:DropDownList ID="drpCulture" runat="server" CssClass="LogonDropDownList" />
                        </div>
                    </LayoutTemplate>
                </asp:Login>
            </asp:Panel>
            <asp:Literal ID="ltlScript" EnableViewState="false" runat="server" />
        </form>
    </div>
    <div class="loginLine">
        <div style="padding: 0px 10px 0px 10px">
            <div style="float: left;">
                <cms:Help ID="ucHelp" runat="Server" />
            </div>
            <div style="float: right;">
                <asp:Label ID="lblVersion" runat="server" />
            </div>
        </div>
    </div>
</body>
</html>
